Project

General

Profile

Tâche #19849

Scénario #19540: GenConfig doit permettre la déconnexion avec Firefox

Étudier le passage à la nouvelle version de JQuery dans gen_config

Added by Gérald Schwartzmann over 4 years ago. Updated 19 days ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Start date:
10/18/2021
Due date:
% Done:

0%

Remaining (hours):
0.0

History

#1 Updated by Gérald Schwartzmann over 4 years ago

  • Release set to EOLE 2.6.1.1

Après étude de la demande entrante #19540, il semblerait que ce soit un dysfonctionnement introduit par l'évolution de Firefox et la version vieillissante de JQuery (1.9.2) utilisée dans GenConfig. Il faudrait envisager une migration vers la dernière version de JQuery (3.2.0) et vérifier l'impact de cette migration sur les librairies dépendantes de JQuery dans GenConfig (i.e. jquery-ui*). Cette migration peut avoir un fort risque sur le fonctionnement général de GenConfig.

#2 Updated by Gérald Schwartzmann over 4 years ago

  • Related to Scénario #19540: GenConfig doit permettre la déconnexion avec Firefox added

#3 Updated by Joël Cuissinat over 4 years ago

  • Story points set to 5.0

#4 Updated by Daniel Dehennin over 4 years ago

  • Related to deleted (Scénario #19540: GenConfig doit permettre la déconnexion avec Firefox)

#5 Updated by Daniel Dehennin over 4 years ago

  • Tracker changed from Scénario to Tâche
  • Parent task set to #19540

#6 Updated by Matthieu Lamalle about 2 months ago

  • Project changed from Distribution EOLE to eole-genconfig
  • Status changed from Nouveau to En cours
  • Start date set to 10/18/2021

#7 Updated by Emmanuel GARETTE 24 days ago

  • Assigned To set to Arnaud FORNEROT

#8 Updated by Emmanuel GARETTE 24 days ago

  • Assigned To changed from Arnaud FORNEROT to Matthieu Lamalle

#9 Updated by Matthieu Lamalle 20 days ago

Le passage à une version JQuery >=3.2.X soulève plusieurs problèmes techniques :
- Les méthodes "error()", "load()", "unload()", ... n'existent plus. Il faudrait les réécrire et vérifier la compatibilité du code avec Marionette.
- Le sélecteur '#' n'existe plus (utilisé pour les menus, dropdown, etc). Une nouvelle méthode de sélection est à envisager, impliquant surement une refonte du code.

#10 Updated by Matthieu Lamalle 20 days ago

  • Status changed from En cours to À valider

#11 Updated by Matthieu Lamalle 20 days ago

  • Status changed from À valider to Résolu

#12 Updated by Gilles Grandgérard 19 days ago

  • Status changed from Résolu to Fermé
  • Remaining (hours) set to 0.0

Also available in: Atom PDF